import { ChatInputApplicationCommandData, CommandInteraction } from 'discord.js';
import BaseInteractionHandler, { BaseInteractionHandlerOptions } from '../../InteractionsAPI/BaseInteractionHandler';
import CommandInteractionManager from './CommandInteractionManager';
export interface CommandInteractionHandlerOptions extends BaseInteractionHandlerOptions, ChatInputApplicationCommandData {
}
export default abstract class CommandInteractionHandler extends BaseInteractionHandler {
    commandOptions: CommandInteractionHandlerOptions;
    constructor(commandOptions: CommandInteractionHandlerOptions, manager: CommandInteractionManager);
    abstract run(interaction: CommandInteraction): Promise<any>;
}
