import { Client, CommandInteraction, Snowflake } from 'discord.js';
import BaseInteractionManager from '../../InteractionsAPI/Managers/BaseInteractionManager';
import CommandInteractionHandler from './CommandInteractionHandler';
export default class CommandInteractionManager extends BaseInteractionManager<CommandInteraction, CommandInteractionHandler> {
    private client;
    constructor(client: Client);
    protected getInteractionId(interaction: CommandInteraction): Snowflake;
    protected callInteraction(interaction: CommandInteraction): void;
    refreshCommands(guildId?: Snowflake): Promise<void>;
}
